Page MenuHomePhabricator

Deploy new Vector skin to all projects
Closed, ResolvedPublic

Description

Phase 1 - deploy to 1 wiki

  • Make sure T299171 is enabled on the wiki
  • Enable migration mode
  • Run QA of instrumentation
  • Identify cause of T300052 and fix

Phase 2

Phase 3

Sign off steps

  • Prepare tasks for post-deployment cleanup.

Event Timeline

Change 756621 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[operations/mediawiki-config@master] Enable migration mode on euwiki

https://gerrit.wikimedia.org/r/756621

Jdlrobson triaged this task as High priority.
Jdlrobson updated the task description. (Show Details)

Change 756621 merged by jenkins-bot:

[operations/mediawiki-config@master] Enable migration mode on euwiki

https://gerrit.wikimedia.org/r/756621

Mentioned in SAL (#wikimedia-operations) [2022-01-24T19:36:26Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: 27c5ab3: Enable migration mode on euwiki (T299927) (duration: 00m 48s)

Change 756629 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[mediawiki/skins/Vector@master] Opt in link should be different in migration mode

https://gerrit.wikimedia.org/r/756629

Change 756629 merged by jenkins-bot:

[mediawiki/skins/Vector@master] Opt in link should be different in migration mode

https://gerrit.wikimedia.org/r/756629

Change 756697 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[mediawiki/skins/Vector@wmf/1.38.0-wmf.18] Opt in link should be different in migration mode

https://gerrit.wikimedia.org/r/756697

Change 757087 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[operations/mediawiki-config@master] Enable migration mode on Italian and MediaWIki.org

https://gerrit.wikimedia.org/r/757087

Change 757087 merged by jenkins-bot:

[operations/mediawiki-config@master] Enable migration mode on Italian and MediaWIki.org

https://gerrit.wikimedia.org/r/757087

Mentioned in SAL (#wikimedia-operations) [2022-01-26T01:03:59Z] <catrope@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:757087|Enable migration mode on Italian and MediaWIki.org (T299927)]] (duration: 00m 54s)

Jdlrobson claimed this task.
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)

Change 756697 abandoned by Jdlrobson:

[mediawiki/skins/Vector@wmf/1.38.0-wmf.18] Opt in link should be different in migration mode

Reason:

Letting this one ride the train.

https://gerrit.wikimedia.org/r/756697

Change 751819 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[mediawiki/skins/Vector@master] Begin skin migration mode

https://gerrit.wikimedia.org/r/751819

Copy:
Vector (2022)
Vector legacy (2010)

Change 757733 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[operations/mediawiki-config@master] Enable migration mode on all group 0, group 1 and desktop-improvement wikis

https://gerrit.wikimedia.org/r/757733

Change 757734 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[operations/mediawiki-config@master] Migration mode enabled everywhere

https://gerrit.wikimedia.org/r/757734

Jdlrobson removed the point value for this task.

Change 751819 merged by jenkins-bot:

[mediawiki/skins/Vector@master] Changes the labels of the Vector skins

https://gerrit.wikimedia.org/r/751819

Change 757733 merged by jenkins-bot:

[operations/mediawiki-config@master] Enable migration mode on all group 0, group 1 and desktop-improvement wikis

https://gerrit.wikimedia.org/r/757733

Mentioned in SAL (#wikimedia-operations) [2022-02-02T00:29:24Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: b2c13c64029cba3cd34f0e6144d322508fb4afb4: Enable migration mode on all group 0, group 1 and desktop-improvement wikis (T299927) (duration: 01m 58s)

Change 758911 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[mediawiki/skins/Vector@wmf/1.38.0-wmf.19] Opt in link should be different in migration mode

https://gerrit.wikimedia.org/r/758911

Change 758911 abandoned by Jdlrobson:

[mediawiki/skins/Vector@wmf/1.38.0-wmf.19] Opt in link should be different in migration mode

Reason:

https://gerrit.wikimedia.org/r/758911

Change 757734 merged by jenkins-bot:

[operations/mediawiki-config@master] Migration mode enabled everywhere

https://gerrit.wikimedia.org/r/757734

Mentioned in SAL (#wikimedia-operations) [2022-02-02T19:37:42Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: 62b2acb: Migration mode enabled everywhere (T299927) (duration: 00m 49s)

Change 759308 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[mediawiki/skins/Vector@wmf/1.38.0-wmf.19] Changes the labels of the Vector skins

https://gerrit.wikimedia.org/r/759308

Change 759308 merged by jenkins-bot:

[mediawiki/skins/Vector@wmf/1.38.0-wmf.19] Changes the labels of the Vector skins

https://gerrit.wikimedia.org/r/759308

Mentioned in SAL (#wikimedia-operations) [2022-02-03T00:44:46Z] <brennen@deploy1002> Started scap: Backports: [[gerrit:759308|Changes the labels of the Vector skins (T299927)]] and [[gerrit:759309|Pass skin name to Hooks::isSkinLegacy (T299971)]]

Mentioned in SAL (#wikimedia-operations) [2022-02-03T01:09:35Z] <brennen@deploy1002> Finished scap: Backports: [[gerrit:759308|Changes the labels of the Vector skins (T299927)]] and [[gerrit:759309|Pass skin name to Hooks::isSkinLegacy (T299971)]] (duration: 24m 48s)

Jdlrobson updated the task description. (Show Details)